## visad.java3d
Class LabelTransform

    java.lang.Object
      visad.java3d.LabelTransform

class LabelTransform
extends Object

Field Summary
`(package private) VisADGeometryArray` `anchr_array`
`(package private) float[]` `anchr_vertex`
`(package private) float[]` `f_array`
`(package private) double` `first_scale`
`(package private) int` `flag`
`(package private) VisADGeometryArray` `label_array`
`(package private) double` `last_scale`
`(package private) double[]` `matrix`
`(package private) ProjectionControl` `proj`
`(package private) double[]` `rot_a`
`(package private) double[]` `scale_a`
`(package private) javax.media.j3d.Transform3D` `t3d`
`(package private) javax.media.j3d.TransformGroup` `trans`
`(package private) double[]` `trans_a`
`(package private) float[]` `vertex`

Constructor Summary
`(package private)` `LabelTransform(javax.media.j3d.TransformGroup trans, ProjectionControl proj, VisADGeometryArray[] label_array, float[] f_array, int flag)`

Method Summary
`void` `controlChanged(double first_scale, double[] scale_a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trans

    javax.media.j3d.TransformGroup trans

### t3d

    javax.media.j3d.Transform3D t3d

### proj

    ProjectionControl proj

### label_array

    VisADGeometryArray label_array

### anchr_array

    VisADGeometryArray anchr_array

### matrix

    double[] matrix

### last_scale

    double last_scale

### first_scale

    double first_scale

### vertex

    float[] vertex

### anchr_vertex

    float[] anchr_vertex

### rot_a

    double[] rot_a

### trans_a

    double[] trans_a

### scale_a

    double[] scale_a

### flag

    int flag

### f_array

    float[] f_array

Constructor Detail

### LabelTransform

    LabelTransform(javax.media.j3d.TransformGroup trans,
                   ProjectionControl proj,
                   VisADGeometryArray[] label_array,
                   float[] f_array,
                   int flag)

Method Detail

### controlChanged

    public void controlChanged(double first_scale,
                               double[] scale_a)